Opened 4 years ago

Closed 3 years ago

Last modified 2 years ago

#924 closed enhancement (fixed)

ngx_http_v2_module is not included in windows compilation

Reported by: bugzilla77@… Owned by:
Priority: minor Milestone:
Component: nginx-module Version: 1.9.x
Keywords: http2 Cc:
uname -a: Host Name: PROGRAMISTA OS Name: Microsoft Windows 10 Pro OS Version: 10.0.10586 N/A Build 10586 OS Manufacturer: Microsoft Corporation OS Configuration: Standalone Workstation OS Build Type: Multiprocessor Free Registered Owner: Admin Registered Organization: Product ID: 00330-80000-00000-AA298 Original Install Date: 2015-12-02, 04:32:24 System Boot Time: 2016-03-10, 08:13:20 System Manufacturer: System Model: System Type: x64-based PC Processor(s): 1 Processor(s) Installed. [01]: Intel64 Family 6 Model 60 Stepping 3 GenuineIntel ~3400 Mhz BIOS Version: Intel Corp. FLB8510H.86A.0125.2014.0424.1701, 2014-04-24 Windows Directory: C:\WINDOWS System Directory: C:\WINDOWS\system32 Boot Device: \Device\HarddiskVolume2 System Locale: pl;Polski Input Locale: pl;Polski Time Zone: (UTC+01:00) Sarajewo, Skopie, Warszawa, Zagrzeb Total Physical Memory: 8 103 MB Available Physical Memory: 5 215 MB Virtual Memory: Max Size: 9 383 MB Virtual Memory: Available: 6 148 MB Virtual Memory: In Use: 3 235 MB Page File Location(s): C:\pagefile.sys Domain: WORKGROUP Logon Server: \\PROGRAMISTA Hotfix(s): 12 Hotfix(s) Installed. [01]: KB3116900 [02]: KB3116908 [03]: KB3120677 [04]: KB3122947 [05]: KB3124200 [06]: KB3124262 [07]: KB3124263 [08]: KB3135173 [09]: KB3135782 [10]: KB3139907 [11]: KB3140743 [12]: KB3140768 Network Card(s): 2 NIC(s) Installed. [01]: Cisco AnyConnect Secure Mobility Client Virtual Miniport Adapter for Windows x64 Connection Name: Ethernet 2 Status: Hardware not present [02]: Intel(R) Ethernet Connection I217-V Connection Name: Ethernet DHCP Enabled: Yes DHCP Server: 192.168.1.2 IP address(es) [01]: 192.168.1.106 Hyper-V Requirements: VM Monitor Mode Extensions: Yes Virtualization Enabled In Firmware: Yes Second Level Address Translation: Yes Data Execution Prevention Available: Yes
nginx -V: nginx version: nginx/1.9.12

Description

ngx_http_v2_module is not included in windows compilation

Change History (3)

comment:1 Changed 3 years ago by mdounin

  • Resolution set to fixed
  • Status changed from new to closed

Fixed in 0d4f602dc927, available in nginx 1.11.11 windows build.

comment:2 follow-up: Changed 2 years ago by bugzilla77@…

Great,
...but there is still a specification problem.

http://nginx.org/en/docs/http/ngx_http_v2_module.html

"This module is not built by default, it should be enabled with the --with-http_v2_module configuration parameter."

comment:3 in reply to: ↑ 2 Changed 2 years ago by mdounin

Replying to bugzilla77@…:

Great,
...but there is still a specification problem.

http://nginx.org/en/docs/http/ngx_http_v2_module.html

"This module is not built by default, it should be enabled with the --with-http_v2_module configuration parameter."

As already explained in #1390, this quote is perfectly correct and refers to building nginx from sources. Whether a particular build includes a module can be determined by using nginx -V output and the information from the quote: the module is compiled in if and only if --with-http_v2_module is present in configure arguments reported by nginx -V.

Note: See TracTickets for help on using tickets.